using System;
using System.Data;

namespace AlertLib
{
	public enum AlertPriority
	{
		Low,
		Medium,
		High
	}

	public class Alert
	{
		public int AlertId;
		public string Title;
		public string Message;
		public string Url;
		public DateTime AlertTime;
		public AlertPriority Priority;
		public string OtherData;
		public int Status;

		public Alert()
		{
		}

		public Alert( DataRow dr )
		{
			if ( dr["AlertId"] != null )
			{
				AlertId = int.Parse(dr["AlertId"].ToString());
			}

			if ( dr["Title"] != null )
			{
				Title = dr["Title"].ToString();
			}

			if ( dr["Message"] != null )
			{
				Message = dr["Message"].ToString();
			}

			if ( dr["Url"] != null )
			{
				Url = dr["Url"].ToString();
			}

			if ( dr["AlertTime"] != null )
			{
				AlertTime = DateTime.Parse(dr["AlertTime"].ToString());
			}

			if ( dr["Priority"] != null )
			{
				Priority = (AlertPriority)int.Parse(dr["Priority"].ToString());
			}

			if ( dr["OtherData"] != null )
			{
				OtherData = dr["OtherData"].ToString();
			}


			if ( dr["Status"] != null )
			{
				Status = int.Parse(dr["Status"].ToString());
			}
		}
	}
}
